<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.hssf.usermodel.HSSFWorkbook (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.hssf.usermodel.HSSFWorkbook (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
               title="class in org.apache.poi.hssf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/usermodel/class-use/HSSFWorkbook.html"
               target="_top">Frames</a></li>
        <li><a href="HSSFWorkbook.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.hssf.usermodel.HSSFWorkbook" class="title">Uses of Class<br>org.apache.poi.hssf.usermodel.HSSFWorkbook
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                        title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a></span><span class="tabEnd">&nbsp;</span>
                </caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.converter">org.apache.poi.hssf.converter</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.eventusermodel">org.apache.poi.hssf.eventusermodel</a>
                    </td>
                    <td class="colLast">
                        <div class="block">HSSF eventmodel Package provides an event-based API for reading HSSF files.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.extractor">org.apache.poi.hssf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.model">org.apache.poi.hssf.model</a></td>
                    <td class="colLast">
                        <div class="block">Provides low level API structures for reading, writing, modifying XLS
                            files.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.util">org.apache.poi.hssf.util</a></td>
                    <td class="colLast">
                        <div class="block">util package contains tools needed for writing HSSF files that are not
                            necesarily "real"
                            HSSF concepts.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hssf.converter">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a> in <a
                            href="../../../../../../org/apache/poi/hssf/converter/package-summary.html">org.apache.poi.hssf.converter</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/converter/package-summary.html">org.apache.poi.hssf.converter</a> that return <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractExcelUtils.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/converter/AbstractExcelUtils.html#loadXls-java.io.File-">loadXls</a></span>(java.io.File&nbsp;xlsFile)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/converter/package-summary.html">org.apache.poi.hssf.converter</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected java.lang.String</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExcelToHtmlConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/converter/ExcelToHtmlConverter.html#buildStyle-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.hssf.usermodel.HSSFCellStyle-">buildStyle</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFCellStyle</a>&nbsp;cellStyle)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected java.lang.String</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExcelToHtmlConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/converter/ExcelToHtmlConverter.html#getStyleClassName-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.hssf.usermodel.HSSFCellStyle-">getStyleClassName</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFCellStyle</a>&nbsp;cellStyle)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static org.w3c.dom.Document</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExcelToHtmlConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/converter/ExcelToHtmlConverter.html#process-org.apache.poi.hssf.usermodel.HSSFWorkbook-">process</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                <div class="block">Converts Excel file (97-2007) into HTML file.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExcelToFoConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#processCell-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.hssf.usermodel.HSSFCell-org.w3c.dom.Element-int-int-float-">processCell</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFCell</a>&nbsp;cell,
                                org.w3c.dom.Element&nbsp;tableCellElement,
                                int&nbsp;normalWidthPx,
                                int&nbsp;maxSpannedWidthPx,
                                float&nbsp;normalHeightPt)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExcelToFoConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#processCellStyle-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.hssf.usermodel.HSSFCellStyle-org.w3c.dom.Element-org.w3c.dom.Element-">processCellStyle</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFCellStyle</a>&nbsp;cellStyle,
                                org.w3c.dom.Element&nbsp;cellTarget,
                                org.w3c.dom.Element&nbsp;blockTarget)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExcelToFoConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#processCellStyleBorder-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.w3c.dom.Element-java.lang.String-org.apache.poi.ss.usermodel.BorderStyle-short-">processCellStyleBorder</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                org.w3c.dom.Element&nbsp;cellTarget,
                                java.lang.String&nbsp;type,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                   title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;xlsBorder,
                                short&nbsp;borderColor)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExcelToFoConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#processCellStyleFont-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.w3c.dom.Element-org.apache.poi.hssf.usermodel.HSSFFont-">processCellStyleFont</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                org.w3c.dom.Element&nbsp;blockTarget,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFFont</a>&nbsp;font)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected int</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExcelToFoConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#processRow-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.ss.util.CellRangeAddress:A:A-org.apache.poi.hssf.usermodel.HSSFRow-org.w3c.dom.Element-">processRow</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddress</a>[][]&nbsp;mergedRanges,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFRow</a>&nbsp;row,
                                org.w3c.dom.Element&nbsp;tableRowElement)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected float</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExcelToFoConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#processSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.hssf.usermodel.HSSFSheet-org.w3c.dom.Element-">processSheet</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                org.w3c.dom.Element&nbsp;flow)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExcelToFoConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#processSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-int-">processSheet</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                int&nbsp;sheetIndex)</code>
                                <div class="block">Process single sheet (as specified by 0-based sheet index)</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExcelToHtmlConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/converter/ExcelToHtmlConverter.html#processWorkbook-org.apache.poi.hssf.usermodel.HSSFWorkbook-">processWorkbook</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExcelToFoConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#processWorkbook-org.apache.poi.hssf.usermodel.HSSFWorkbook-">processWorkbook</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.eventusermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a> in <a
                            href="../../../../../../org/apache/poi/hssf/eventusermodel/package-summary.html">org.apache.poi.hssf.eventusermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/eventusermodel/package-summary.html">org.apache.poi.hssf.eventusermodel</a> that return <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">EventWorkbookBuilder.SheetRecordCollectingListener.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/eventusermodel/EventWorkbookBuilder.SheetRecordCollectingListener.html#getStubHSSFWorkbook--">getStubHSSFWorkbook</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a> in <a
                            href="../../../../../../org/apache/poi/hssf/extractor/package-summary.html">org.apache.poi.hssf.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/hssf/extractor/package-summary.html">org.apache.poi.hssf.extractor</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/extractor/ExcelExtractor.html#ExcelExtractor-org.apache.poi.hssf.usermodel.HSSFWorkbook-">ExcelExtractor</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;wb)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.model">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a> in <a
                            href="../../../../../../org/apache/poi/hssf/model/package-summary.html">org.apache.poi.hssf.model</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/model/package-summary.html">org.apache.poi.hssf.model</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                    title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFFormulaParser.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/model/HSSFFormulaParser.html#parse-java.lang.String-org.apache.poi.hssf.usermodel.HSSFWorkbook-">parse</a></span>(java.lang.String&nbsp;formula,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                <div class="block">Convenience method for parsing cell formulas.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                    title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFFormulaParser.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/model/HSSFFormulaParser.html#parse-java.lang.String-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.ss.formula.FormulaType-">parse</a></span>(java.lang.String&nbsp;formula,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                <a href="../../../../../../org/apache/poi/ss/formula/FormulaType.html"
                                   title="enum in org.apache.poi.ss.formula">FormulaType</a>&nbsp;formulaType)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                    title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFFormulaParser.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/model/HSSFFormulaParser.html#parse-java.lang.String-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.ss.formula.FormulaType-int-">parse</a></span>(java.lang.String&nbsp;formula,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                <a href="../../../../../../org/apache/poi/ss/formula/FormulaType.html"
                                   title="enum in org.apache.poi.ss.formula">FormulaType</a>&nbsp;formulaType,
                                int&nbsp;sheetIndex)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static java.lang.String</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFFormulaParser.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/model/HSSFFormulaParser.html#toFormulaString-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.ss.formula.ptg.Ptg:A-">toFormulaString</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;book,
                                <a href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                   title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;ptgs)</code>
                                <div class="block">Static method to convert an array of <a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg"><code>Ptg</code></a>s in RPN
                                    order
                                    to a human readable string format in infix mode.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a> in <a
                            href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing fields, and an explanation">
                        <caption><span>Fields in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> declared as <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Field and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html#Z:Z_workbook">_workbook</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html#create-org.apache.poi.hssf.model.InternalWorkbook-">create</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/model/InternalWorkbook.html"
                                    title="class in org.apache.poi.hssf.model">InternalWorkbook</a>&nbsp;book)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFWorkbookFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbookFactory.html#createWorkbook--">createWorkbook</a></span>()</code>
                                <div class="block">Create a new empty Workbook</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFWorkbookFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbookFactory.html#createWorkbook-org.apache.poi.poifs.filesystem.DirectoryNode-">createWorkbook</a></span>(<a
                                    href="../../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                    title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;root)</code>
                                <div class="block">Creates a HSSFWorkbook from the given DirectoryNode</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFWorkbookFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbookFactory.html#createWorkbook-org.apache.poi.poifs.filesystem.POIFSFileSystem-">createWorkbook</a></span>(<a
                                    href="../../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                    title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs)</code>
                                <div class="block">Creates a HSSFWorkbook from the given NPOIFSFileSystem</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html#getWorkbook--">getWorkbook</a></span>()</code>
                                <div class="block">Return the parent workbook</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFEvaluationWorkbook</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">HSSFEvaluationWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#create-org.apache.poi.hssf.usermodel.HSSFWorkbook-">create</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;book)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFFormulaEvaluator.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFFormulaEvaluator</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFFormulaEvaluator.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFFormulaEvaluator.html#create-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.ss.formula.IStabilityClassifier-org.apache.poi.ss.formula.udf.UDFFinder-">create</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                <a href="../../../../../../org/apache/poi/ss/formula/IStabilityClassifier.html"
                                   title="interface in org.apache.poi.ss.formula">IStabilityClassifier</a>&nbsp;stabilityClassifier,
                                <a href="../../../../../../org/apache/poi/ss/formula/udf/UDFFinder.html"
                                   title="interface in org.apache.poi.ss.formula.udf">UDFFinder</a>&nbsp;udfFinder)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFChart.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFChart.html#createBarChart-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.hssf.usermodel.HSSFSheet-">createBarChart</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;parentSheet)</code>
                                <div class="block">Creates a bar chart.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFFormulaEvaluator.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFFormulaEvaluator.html#evaluateAllFormulaCells-org.apache.poi.hssf.usermodel.HSSFWorkbook-">evaluateAllFormulaCells</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;wb)</code>
                                <div class="block">Loops over all cells in all sheets of the supplied
                                    workbook.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hssf/util/HSSFColor.html"
                                    title="class in org.apache.poi.hssf.util">HSSFColor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFFont.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#getHSSFColor-org.apache.poi.hssf.usermodel.HSSFWorkbook-">getHSSFColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;wb)</code>
                                <div class="block">get the color value for the font</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFOptimiser.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFOptimiser.html#optimiseCellStyles-org.apache.poi.hssf.usermodel.HSSFWorkbook-">optimiseCellStyles</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                <div class="block">Goes through the Wokrbook, optimising the cell styles
                                    by removing duplicate ones, and ones that aren't used.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFOptimiser.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFOptimiser.html#optimiseFonts-org.apache.poi.hssf.usermodel.HSSFWorkbook-">optimiseFonts</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                <div class="block">Goes through the Workbook, optimising the fonts by
                                    removing duplicate ones.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected static java.lang.String</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">HSSFConditionalFormattingRule.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html#toFormulaString-org.apache.poi.ss.formula.ptg.Ptg:A-org.apache.poi.hssf.usermodel.HSSFWorkbook-">toFormulaString</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                    title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;parsedExpression,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFCellStyle.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html#verifyBelongsToWorkbook-org.apache.poi.hssf.usermodel.HSSFWorkbook-">verifyBelongsToWorkbook</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;wb)</code>
                                <div class="block">Verifies that this style belongs to the supplied Workbook.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#EscherGraphics-org.apache.poi.hssf.usermodel.HSSFShapeGroup-org.apache.poi.hssf.usermodel.HSSFWorkbook-java.awt.Color-float-">EscherGraphics</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShapeGroup</a>&nbsp;escherGroup,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                java.awt.Color&nbsp;forecolor,
                                float&nbsp;verticalPointsPerPixel)</code>
                                <div class="block">Construct an escher graphics object.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFBorderFormatting.html#HSSFBorderFormatting-org.apache.poi.hssf.record.CFRuleBase-org.apache.poi.hssf.usermodel.HSSFWorkbook-">HSSFBorderFormatting</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/record/CFRuleBase.html"
                                    title="class in org.apache.poi.hssf.record">CFRuleBase</a>&nbsp;cfRuleRecord,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html#HSSFCell-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.record.CellValueRecordInterface-">HSSFCell</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;book,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                <a href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                   title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;cval)</code>
                                <div class="block">Creates an HSSFCell from a CellValueRecordInterface.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html#HSSFCell-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.hssf.usermodel.HSSFSheet-int-short-">HSSFCell</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;book,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                int&nbsp;row,
                                short&nbsp;col)</code>
                                <div class="block">Creates new Cell - Should only be called by HSSFRow.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html#HSSFCell-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.hssf.usermodel.HSSFSheet-int-short-org.apache.poi.ss.usermodel.CellType-">HSSFCell</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;book,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                int&nbsp;row,
                                short&nbsp;col,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                   title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;type)</code>
                                <div class="block">Creates new Cell - Should only be called by HSSFRow.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html#HSSFCellStyle-short-org.apache.poi.hssf.record.ExtendedFormatRecord-org.apache.poi.hssf.usermodel.HSSFWorkbook-">HSSFCellStyle</a></span>(short&nbsp;index,
                                <a href="../../../../../../org/apache/poi/hssf/record/ExtendedFormatRecord.html"
                                   title="class in org.apache.poi.hssf.record">ExtendedFormatRecord</a>&nbsp;rec,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                <div class="block">Creates new HSSFCellStyle why would you want to do this??</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#HSSFFontFormatting-org.apache.poi.hssf.record.CFRuleBase-org.apache.poi.hssf.usermodel.HSSFWorkbook-">HSSFFontFormatting</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/record/CFRuleBase.html"
                                    title="class in org.apache.poi.hssf.record">CFRuleBase</a>&nbsp;cfRuleRecord,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFFormulaEvaluator.html#HSSFFormulaEvaluator-org.apache.poi.hssf.usermodel.HSSFWorkbook-">HSSFFormulaEvaluator</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFFormulaEvaluator.html#HSSFFormulaEvaluator-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.ss.formula.IStabilityClassifier-">HSSFFormulaEvaluator</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                <a href="../../../../../../org/apache/poi/ss/formula/IStabilityClassifier.html"
                                   title="interface in org.apache.poi.ss.formula">IStabilityClassifier</a>&nbsp;stabilityClassifier)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFPatternFormatting.html#HSSFPatternFormatting-org.apache.poi.hssf.record.CFRuleBase-org.apache.poi.hssf.usermodel.HSSFWorkbook-">HSSFPatternFormatting</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/record/CFRuleBase.html"
                                    title="class in org.apache.poi.hssf.record">CFRuleBase</a>&nbsp;cfRuleRecord,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html#HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">HSSFSheet</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                <div class="block">Creates new HSSFSheet - called by HSSFWorkbook to create a sheet from
                                    scratch.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html#HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.hssf.model.InternalSheet-">HSSFSheet</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                <a href="../../../../../../org/apache/poi/hssf/model/InternalSheet.html"
                                   title="class in org.apache.poi.hssf.model">InternalSheet</a>&nbsp;sheet)</code>
                                <div class="block">Creates an HSSFSheet representing the given Sheet object.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.util">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a> in <a
                            href="../../../../../../org/apache/poi/hssf/util/package-summary.html">org.apache.poi.hssf.util</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/util/package-summary.html">org.apache.poi.hssf.util</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRegionUtil.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/util/HSSFRegionUtil.html#setBorderBottom-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">setBorderBottom</a></span>(int&nbsp;border,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Sets the borderBottom attribute of the HSSFRegionUtil object</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRegionUtil.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/util/HSSFRegionUtil.html#setBorderLeft-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">setBorderLeft</a></span>(int&nbsp;border,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Sets the left border for a region of cells by manipulating the cell
                                    style
                                    of the individual cells on the left
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRegionUtil.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/util/HSSFRegionUtil.html#setBorderRight-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">setBorderRight</a></span>(int&nbsp;border,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Sets the borderRight attribute of the HSSFRegionUtil object</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRegionUtil.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/util/HSSFRegionUtil.html#setBorderTop-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">setBorderTop</a></span>(int&nbsp;border,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Sets the borderBottom attribute of the HSSFRegionUtil object</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRegionUtil.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/util/HSSFRegionUtil.html#setBottomBorderColor-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">setBottomBorderColor</a></span>(int&nbsp;color,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Sets the bottomBorderColor attribute of the HSSFRegionUtil object
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRegionUtil.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/util/HSSFRegionUtil.html#setLeftBorderColor-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">setLeftBorderColor</a></span>(int&nbsp;color,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Sets the leftBorderColor attribute of the HSSFRegionUtil object</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRegionUtil.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/util/HSSFRegionUtil.html#setRightBorderColor-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">setRightBorderColor</a></span>(int&nbsp;color,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Sets the rightBorderColor attribute of the HSSFRegionUtil object
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRegionUtil.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/util/HSSFRegionUtil.html#setTopBorderColor-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">setTopBorderColor</a></span>(int&nbsp;color,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Sets the topBorderColor attribute of the HSSFRegionUtil object</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
               title="class in org.apache.poi.hssf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/usermodel/class-use/HSSFWorkbook.html"
               target="_top">Frames</a></li>
        <li><a href="HSSFWorkbook.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
